#!/usr/bin/env python

import sys

gms = 39.47841760
M_S = 1.989e30
M_E = 5.972e24
tmp = 1.0/gms*M_S/M_E

f = open("discard_mass.out", "r")
f2 = open("coll.out", "w")
f2.write("# t [yr] & m1 [M_E] & m2 [M_E] & m1+m2 [M_E]\n")

j = 0
while True:
    try:
        l = f.readline().split()
    except:
        break
    if len(l) == 0:
        break
    t = float(l[0])
    l = f.readline().split()
    m1 = float(l[2])
    f.readline()
    f.readline()
    l = f.readline().split()
    m2 = float(l[2])
    f.readline()
    f.readline()
    l = f.readline().split()
    mn = float(l[2])
    f.readline()
    f.readline()

    j += 1
    f2.write("%2d  %.8e  %.4f %.4f  %.4f\n" % (j, t, m1*tmp, m2*tmp, mn*tmp))

f.close()
f2.close()




